### Hierarchy

- BaseSchemaField
  - BaseSchemaFieldArray

### Implements

- TypeParams

## Index

### Constructors

- constructor

### Properties

- additionalProperties
- description
- items
- minItems
- required
- type
- uniqueItems

## Constructors

### constructor

- new BaseSchemaFieldArray(itemDefinition: string, minItems: number, uniqueItems: boolean): BaseSchemaFieldArray

- Overrides BaseSchemaField.constructor

  - Defined in utils/types/BaseSchema.ts:30

  #### Parameters

  - ##### itemDefinition: string

  - ##### minItems: number

  - ##### uniqueItems: boolean

  #### Returns BaseSchemaFieldArray

## Properties

### Optional additionalProperties

additionalProperties: boolean

Inherited from BaseSchemaField.additionalProperties

- Defined in utils/types/BaseSchema.ts:9

### Optional description

description: string

Inherited from BaseSchemaField.description

- Defined in utils/types/BaseSchema.ts:7

### items

items: BaseSchemaFieldObject

- Defined in utils/types/BaseSchema.ts:28

### minItems

minItems: number

- Defined in utils/types/BaseSchema.ts:29

### Optional required

required: Array<string>

Inherited from BaseSchemaField.required

- Defined in utils/types/BaseSchema.ts:8

### type

type: string

Inherited from BaseSchemaField.type

- Defined in utils/types/BaseSchema.ts:6

### uniqueItems

uniqueItems: boolean

- Defined in utils/types/BaseSchema.ts:30

Generated using TypeDoc